import 'package:flutter/services.dart';

class OverlayMethodChannel {
  // 1. تم تصحيح اسم القناة ليتطابق مع ملف MainActivity.kt [1]
  static const _channel = MethodChannel('com.siro_driver/app_control');

  static Future bringToForeground() async {
    try {
      // استدعاء الدالة المعرفة في الكوتلن [3]
      await _channel.invokeMethod('bringToForeground');
    } on PlatformException catch (e) {
      print('Error bringing app to foreground: $e');
    }
  }
}
